Upload creditor profile CSV
curl --request POST \
--url https://api.ecomailhub.younegotiate.com/import-creditor-profiles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form import_file='@example-file'import requests
url = "https://api.ecomailhub.younegotiate.com/import-creditor-profiles"
files = { "import_file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('import_file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.ecomailhub.younegotiate.com/import-creditor-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Import queued.",
"data": {
"id": 41,
"filename": "Creditor-Profiles-20260705154530-a1b2c3d4.csv",
"original_filename": "Creditor Profiles.csv",
"failed_filename": null,
"file_size_bytes": 4096,
"status": "queued",
"status_label": "Queued",
"total_records": 0,
"success_count": 0,
"error_count": 0,
"is_hidden": false,
"actions": {
"can_download_uploaded_file": true,
"can_download_failed_file": false,
"can_delete": true
},
"processing_started_at": null,
"processing_completed_at": null,
"created_at": "2026-07-05T10:15:30.000000Z",
"updated_at": "2026-07-05T10:15:30.000000Z"
}
}{
"message": "Unauthenticated."
}{
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
}Upload creditor profile CSV
Upload a creditor profile CSV, create queued upload history, and dispatch the import job on the imports queue.
POST
/
import-creditor-profiles
Upload creditor profile CSV
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
multipart/form-data
CSV file with the expected creditor profile import headers.
Last modified on July 19, 2026
Was this page helpful?
⌘I

